import { request } from 'umi';
import { getDataBaseUrl,getStoremanagement } from '@/global_data';

/**   下拉选择 */
function GetSelectedConfig(data) {
  return request(getStoremanagement()+`/api/select/selectedconfig/${data}`, {
    method: 'get'
  });
}

function GetCouponRecordById(data) {
  return request(getStoremanagement()+`/api/coupon/couponrecordbyid`, {
    method: 'post',
    data: data
  });
}


//获取商品类型
 function GetGoodsType(data) {
  return request(getStoremanagement()+`/api/coupon/goodstype`, {
    method: 'get'
  });
}

//获取商品类型
 function GetGoodsById(data) {
  return request(getStoremanagement()+`/api/coupon/goods/${data}`, {
    method: 'get'
  });
}


//获取店铺
 function GetStores(data) {
  return request(getStoremanagement()+'/api/shop/alllist', {
    method: 'get',
    data: data,
  });
}


export default { GetSelectedConfig, GetCouponRecordById,GetGoodsType,GetGoodsById,GetStores};
